;InnoSetupVersion=2.0.18

[Setup]
AppName=RegSupreme
AppVerName=RegSupreme 1.4
AppId=RegSupreme
DefaultDirName={pf}\RegSupreme
DefaultGroupName=RegSupreme
UninstallDisplayIcon={app}\RegSupreme.exe
OutputBaseFilename=setup
Compression=zip
PrivilegesRequired=none
LicenseFile=embedded\License.txt
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
Source: "{app}\Documentation\index.html"; DestDir: "{app}\Documentation"; Components: main; 
Source: "{app}\Documentation\License Agreement.txt"; DestDir: "{app}\Documentation"; Components: main; 
Source: "{app}\Documentation\html\about_registry.html"; DestDir: "{app}\Documentation\html"; Components: main; 
Source: "{app}\Documentation\html\backuptool.html"; DestDir: "{app}\Documentation\html"; Components: main; 
Source: "{app}\Documentation\html\FAQ.html"; DestDir: "{app}\Documentation\html"; Components: main; 
Source: "{app}\Documentation\html\regcleaner.html"; DestDir: "{app}\Documentation\html"; Components: main; 
Source: "{app}\Documentation\html\style.css"; DestDir: "{app}\Documentation\html"; Components: main; 
Source: "{app}\Data\Default IgnoreList.dat"; DestDir: "{app}\Data"; Components: main; 
Source: "{app}\data.xbin"; DestDir: "{app}"; Components: main; 
Source: "{app}\data2.xbin"; DestDir: "{app}"; Components: main; 
Source: "{app}\data3.xbin"; DestDir: "{app}"; Components: main; 
Source: "{app}\RegSupreme.exe"; DestDir: "{app}"; Components: main; 
Source: "{app}\Languages\English,1.lng"; DestDir: "{app}\Languages"; DestName: "English.lng"; Components: main; 
Source: "{app}\Languages\Albanian.lng"; DestDir: "{app}\Languages"; Components: trans; 
Source: "{app}\Languages\Arabic.lng"; DestDir: "{app}\Languages"; Components: trans; 
Source: "{app}\Languages\Belarusian.lng"; DestDir: "{app}\Languages"; Components: trans; 
Source: "{app}\Languages\Bosnian.lng"; DestDir: "{app}\Languages"; Components: trans; 
Source: "{app}\Languages\Brazillian.lng"; DestDir: "{app}\Languages"; Components: trans; 
Source: "{app}\Languages\Bulgarian.lng"; DestDir: "{app}\Languages"; Components: trans; 
Source: "{app}\Languages\Catalan.lng"; DestDir: "{app}\Languages"; Components: trans; 
Source: "{app}\Languages\Chinese(Simplified).lng"; DestDir: "{app}\Languages"; Components: trans; 
Source: "{app}\Languages\Chinese(Traditional).lng"; DestDir: "{app}\Languages"; Components: trans; 
Source: "{app}\Languages\Croatian.lng"; DestDir: "{app}\Languages"; Components: trans; 
Source: "{app}\Languages\Czech.lng"; DestDir: "{app}\Languages"; Components: trans; 
Source: "{app}\Languages\Danish.lng"; DestDir: "{app}\Languages"; Components: trans; 
Source: "{app}\Languages\Dutch.lng"; DestDir: "{app}\Languages"; Components: trans; 
Source: "{app}\Languages\English,2.lng"; DestDir: "{app}\Languages"; DestName: "English.lng"; Components: trans; 
Source: "{app}\Languages\Estonian.lng"; DestDir: "{app}\Languages"; Components: trans; 
Source: "{app}\Languages\Finnish.lng"; DestDir: "{app}\Languages"; Components: trans; 
Source: "{app}\Languages\French.lng"; DestDir: "{app}\Languages"; Components: trans; 
Source: "{app}\Languages\Galician.lng"; DestDir: "{app}\Languages"; Components: trans; 
Source: "{app}\Languages\German.lng"; DestDir: "{app}\Languages"; Components: trans; 
Source: "{app}\Languages\Greek.lng"; DestDir: "{app}\Languages"; Components: trans; 
Source: "{app}\Languages\Hebrew.lng"; DestDir: "{app}\Languages"; Components: trans; 
Source: "{app}\Languages\Hellenic.lng"; DestDir: "{app}\Languages"; Components: trans; 
Source: "{app}\Languages\hungarian.lng"; DestDir: "{app}\Languages"; Components: trans; 
Source: "{app}\Languages\Indonesian.lng"; DestDir: "{app}\Languages"; Components: trans; 
Source: "{app}\Languages\Italian.lng"; DestDir: "{app}\Languages"; Components: trans; 
Source: "{app}\Languages\Japanese.lng"; DestDir: "{app}\Languages"; Components: trans; 
Source: "{app}\Languages\Korean.lng"; DestDir: "{app}\Languages"; Components: trans; 
Source: "{app}\Languages\Latvian.lng"; DestDir: "{app}\Languages"; Components: trans; 
Source: "{app}\Languages\Macedonian.lng"; DestDir: "{app}\Languages"; Components: trans; 
Source: "{app}\Languages\Norwegian.lng"; DestDir: "{app}\Languages"; Components: trans; 
Source: "{app}\Languages\Polish.lng"; DestDir: "{app}\Languages"; Components: trans; 
Source: "{app}\Languages\Portugues(Brazil).lng"; DestDir: "{app}\Languages"; Components: trans; 
Source: "{app}\Languages\Portuguese(Brazilian).lng"; DestDir: "{app}\Languages"; Components: trans; 
Source: "{app}\Languages\portuguese.lng"; DestDir: "{app}\Languages"; Components: trans; 
Source: "{app}\Languages\portuguese2.lng"; DestDir: "{app}\Languages"; Components: trans; 
Source: "{app}\Languages\Romanian.lng"; DestDir: "{app}\Languages"; Components: trans; 
Source: "{app}\Languages\Russian.lng"; DestDir: "{app}\Languages"; Components: trans; 
Source: "{app}\Languages\Serbian.lng"; DestDir: "{app}\Languages"; Components: trans; 
Source: "{app}\Languages\Slovak.lng"; DestDir: "{app}\Languages"; Components: trans; 
Source: "{app}\Languages\Slovenian.lng"; DestDir: "{app}\Languages"; Components: trans; 
Source: "{app}\Languages\Spanish(HispanicAmerica).lng"; DestDir: "{app}\Languages"; Components: trans; 
Source: "{app}\Languages\Spanish.lng"; DestDir: "{app}\Languages"; Components: trans; 
Source: "{app}\Languages\SpanishTrad.lng"; DestDir: "{app}\Languages"; Components: trans; 
Source: "{app}\Languages\Swedish.lng"; DestDir: "{app}\Languages"; Components: trans; 
Source: "{app}\Languages\Turkish.lng"; DestDir: "{app}\Languages"; Components: trans; 
Source: "{app}\Languages\Ukrainian.lng"; DestDir: "{app}\Languages"; Components: trans; 
Source: "{app}\Languages\Zealandic.lng"; DestDir: "{app}\Languages"; Components: trans; 

[Run]
Filename: "{app}\RegSupreme.exe"; Description: "&Start RegSupreme"; Flags: shellexec postinstall unchecked skipifsilent 
Filename: "{app}\Documentation\index.html"; Description: "&View the documentation"; Flags: shellexec postinstall unchecked skipifsilent 

[Icons]
Name: "{userdesktop}\RegSupreme"; Filename: "{app}\RegSupreme.exe"; Tasks: desktopicon; 
Name: "{group}\RegSupreme"; Filename: "{app}\RegSupreme.exe"; Tasks: startmenu; 
Name: "{group}\Uninstall"; Filename: "{app}\unins000.exe"; Tasks: startmenu2; 
Name: "{userappdata}\Microsoft\Internet Explorer\Quick Launch\RegSupreme"; Filename: "{app}\RegSupreme.exe"; Tasks: quicklaunch; 

[Tasks]
Name: "startmenu"; Description: "Create a &start menu icon"; GroupDescription: "Icons:"; Components: "main"; 
Name: "startmenu2"; Description: "Create an &uninstall icon to the start menu"; GroupDescription: "Icons:"; Components: "main"; 
Name: "desktopicon"; Description: "Create a &desktop icon"; GroupDescription: "Icons:"; Components: "main"; 
Name: "quicklaunch"; Description: "Create a &quick launch icon"; GroupDescription: "Icons:"; Components: "main"; 

[Components]
Name: "main"; Description: "Main files"; Types: "full compact custom"; 
Name: "trans"; Description: "Translations"; Types: "full"; 

[UninstallDelete]
Type: filesandordirs; Name: "{app}\Backups"; 
Type: filesandordirs; Name: "{app}\Data"; 
Type: filesandordirs; Name: "{app}\RegSupreme.exe"; 
Type: filesandordirs; Name: "{app}\Languages"; 

[Types]
Name: "full"; Description: "Full installation"; 
Name: "compact"; Description: "Compact installation"; 
Name: "custom"; Description: "Custom installation"; 
